Subject: bug#28339: 25.2; Emacs shows ZWNJ character (Zero Width non-Joiner) as Space

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Sep 2017 21:20:51 +0300

> Date: Sat, 16 Sep 2017 20:42:54 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Benjamin Riefenstahl <[email-masked]>
> > Cc: handa <[email-masked]>,  [email-masked],  [email-masked]
> > Date: Sat, 16 Sep 2017 19:30:05 +0200
> > 
> > > [...] I thought the shaping engine gives us back glyphs that don't
> > > include ZWNJ itself.  Evidently, that's not true, which I find
> > > strange.
> > 
> > I thought that with OpenType at least that depends on the font?
> 
> It does, but Handa-san seems to say that even the best fonts don't
> consider ZWNJ part of any grapheme cluster, and always leave it alone.

Well, "always" here means "always when Arabic script is being
rendered".